Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl
Class PCLSVGHandler

    java.lang.Object
      org.apache.fop.render.AbstractGenericSVGHandler
          org.apache.fop.render.pcl.PCLSVGHandler

All Implemented Interfaces:
  RendererContextConstants, XMLHandler

    public class PCLSVGHandler

extends AbstractGenericSVGHandler

PCL XML handler for SVG. Uses Apache Batik for SVG processing. This handler handles XML for foreign objects when rendering to HP GL/2. It renders SVG to HP GL/2 using the PCLGraphics2D.

Field Summary

Fields inherited from interface org.apache.fop.render.XMLHandler
`HANDLE_ALL`

Fields inherited from interface org.apache.fop.render.RendererContextConstants
`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

Constructor Summary
`PCLSVGHandler()`

Method Summary
`boolean` | `supportsRenderer(Renderer renderer)` Checks if this XMLHandler supports handling an XML namespace for a particular renderer.
`protected void` | `updateRendererContext(RendererContext context)` Override this method to update the renderer context if it needs special settings for certain conditions.

Methods inherited from class org.apache.fop.render.AbstractGenericSVGHandler
`buildGraphicsNode, createGraphics2DImagePainter, getDocumentURI, getImageSize, getNamespace, handleXML, renderSVGDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLSVGHandler

    public PCLSVGHandler()

Method Detail

### supportsRenderer

    public boolean supportsRenderer(Renderer renderer)

  Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

  Parameters:
    `renderer` - the renderer for which to check.
  Returns:
    true if this XML handler supports a particular renderer

### updateRendererContext

    protected void updateRendererContext(RendererContext context)

  Override this method to update the renderer context if it needs special settings for certain conditions.

  Overrides:
    `updateRendererContext` in class `AbstractGenericSVGHandler`
  Parameters:
    `context` - the renderer context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.